#!/usr/bin/env bash

rsync -aHxv --numeric-ids \
  --exclude=/etc/fstab \
  --exclude=/etc/network/* \
  --exclude=/proc/* \
  --exclude=/tmp/* \
  --exclude=/sys/* \
  --exclude=/dev/* \
  --exclude=/mnt/* \
  --exclude=/boot/* \
  # /root can be included optionally
  # might be better to hand-copy the stuff you want
  --exclude=/root/* \
root@oldbox:/* /