#!/bin/bash

zcat -f /var/log/nginx/other_vhosts_access.* |\
grep -v cloud.tilde.team |\
grep -v mail.tilde.team |\
grep -viE '(bing|googlebot|baidu|semrush|yandex|ahrefsbot|linkcheck|yisou|mail\.ru|dotbot|seznambot|mj12bot|applebot|coccoc|webeaver|commoncrawl|exabot|7ooo\.ru|changedetection|brandwatch|360spider|gowikibot|ryte\.com|semanticscholar|crawler|alignab|daum\.net|Apache-HttpClient|wp-cron\.php|xmlrpc\.php|wp-login\.php|uptimerobot|/wp-admin/|python-requests|robots\.txt|feedparser|siteimprove|zoominfobot)' |\
awk '$8=$1$8' |\
goaccess \
  --agent-list \
  --no-query-string \
  --output=/var/www/tilde.team/stats/index.html \
  --ignore-panel=HOSTS \
  --ignore-panel=KEYPHRASES \
  --log-format=VCOMBINED -

